/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   data.h                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/03/27 13:43:39 by cchauvet          #+#    #+#             */
/*   Updated: 2023/03/27 13:43:40 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef DATA_H
# define DATA_H
# include "../libftx/libft/list.h"

typedef struct s_data
{
	t_list	**env;
	t_list	**cmds;
	int		exit_code;
	int		child_pid;
}	t_data;

t_data	*ft_get_data(void);

#endif
